> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a swap configuration



## OpenAPI

````yaml /openapi.json get /exchange/swap-configurations/{id}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/swap-configurations/{id}:
    get:
      tags:
        - exchange
      summary: Retrieve a swap configuration
      operationId: Exchange.Web.SwapConfigurationController.get
      parameters:
        - description: Swap Configuration ID
          example: b207fc34-25d7-439b-802d-158aff4b4bb5
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapConfigurationResponse'
          description: SwapConfiguration
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    SwapConfigurationResponse:
      description: Response schema for a single swap configuration
      properties:
        data:
          $ref: '#/components/schemas/SwapConfiguration'
      title: SwapConfigurationResponse
      type: object
    SwapConfiguration:
      description: Response schema for a single swap configuration
      properties:
        id:
          description: Id
          type: string
        order_type:
          description: Order type
          enum:
            - sell
            - buy
          type: string
        symbol:
          description: Currency pair
          type: string
        ttl:
          description: Price TTL, in seconds
          nullable: true
          type: integer
      title: SwapConfiguration
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````